# Interface TcpFailureDetectorMBean

All Known Implementing Classes:
  `TcpFailureDetector`

public interface TcpFailureDetectorMBean

## Method Summary

Modifier and Type
Method
Description
`void`
`checkMembers(boolean checkAll)`
`long`
`getConnectTimeout()`
`int`
`getOptionFlag()`
`boolean`
`getPerformReadTest()`
`boolean`
`getPerformSendTest()`
`long`
`getReadTestTimeout()`
`int`
`getRemoveSuspectsTimeout()`
`void`
`setConnectTimeout(long connectTimeout)`
`void`
`setPerformReadTest(boolean performReadTest)`
`void`
`setPerformSendTest(boolean performSendTest)`
`void`
`setReadTestTimeout(long readTestTimeout)`
`void`
`setRemoveSuspectsTimeout(int removeSuspectsTimeout)`

## Method Details

### getOptionFlag

int getOptionFlag()

### getConnectTimeout

long getConnectTimeout()

### getPerformSendTest

boolean getPerformSendTest()

### getPerformReadTest

boolean getPerformReadTest()

### getReadTestTimeout

long getReadTestTimeout()

### getRemoveSuspectsTimeout

int getRemoveSuspectsTimeout()

### setPerformReadTest

void setPerformReadTest(boolean performReadTest)

### setPerformSendTest

void setPerformSendTest(boolean performSendTest)

### setReadTestTimeout

void setReadTestTimeout(long readTestTimeout)

### setConnectTimeout

void setConnectTimeout(long connectTimeout)

### setRemoveSuspectsTimeout

void setRemoveSuspectsTimeout(int removeSuspectsTimeout)

### checkMembers

void checkMembers(boolean checkAll)